Page MenuHomePhabricator

Implement a monthly granularity view for Pageviews
Closed, ResolvedPublic

Description

See https://meta.wikimedia.org/wiki/Special:Permalink/16094166#About_chart_data

The endpoint used for siteviews offers monthly granularity, but the pageviews endpoint does not. When viewing data for very wide ranges the individual day stats become less relevant, and the view very cluttered. So implementing a clientside monthly view might be worthwhile.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 7:13 PM

Will wait for T139934 instead of implementing a clientside solution

MusikAnimal moved this task from Backlog to On hold on the Tool-Pageviews board.Dec 3 2016, 4:14 AM
MusikAnimal moved this task from On hold to Backlog on the Tool-Pageviews board.Jan 24 2017, 12:18 AM
MusikAnimal closed this task as Resolved.Jan 26 2017, 11:20 PM
MusikAnimal claimed this task.
MusikAnimal moved this task from Backlog to Done on the Tool-Pageviews board.

Still needs to implemented in Siteviews, once T156312 is resolved